/////////////////////////////////////////////////////////////////////
// FDC Control Signals for DC-5 Floppy Disk Controller
// Michael Holley - Nov. 29, 2001
/////////////////////////////////////////////////////////////////////
//            Floppy Disk Controller (FDC) interface 
// The WE, RE and CS_FDC pins are active low signals.
//
// The SS30 data bus to routed to the FDC data pins. The buffers
// to the FDC are tri-state except when RW is low and 
// the address is between E018 and E01B. 
//
module FDC_Ctrl(E,RW,FDC_Select,CTRL_Select,Mode_2Reg,DD_Ena,SSO,
                MR_Timer,WE,RE,CS_FDC,DDEN,FDC_OE,SS30_OE);

    input E, RW, FDC_Select, CTRL_Select, Mode_2Reg, DD_Ena, SSO;
   output MR_Timer, WE, RE, CS_FDC, DDEN, FDC_OE, SS30_OE;

   assign MR_Timer =  FDC_Select; 

   assign DDEN     = (Mode_2Reg == 1'b0) ? ~DD_Ena : ~SSO;

   assign WE       = ~(E & ~RW & FDC_Select);
   assign RE       = ~(E &  RW & FDC_Select);
   assign CS_FDC   = ~FDC_Select; 

   assign FDC_OE   =  FDC_Select  & ~RW;
   assign SS30_OE  = (FDC_Select | CTRL_Select) &  RW & E;

endmodule
