/////////////////////////////////////////////////////////////////////
// Bi-Directional buffer for DC-5 Floppy Disk Controller
// Michael Holley - Nov. 09, 2001
/////////////////////////////////////////////////////////////////////
module IO_BiDir (IN8,OUT8,Enable,BI8);
   input [7:0] IN8;
   output [7:0] OUT8;
   input Enable;
   inout [7:0] BI8;

   wire [7:0] OUT8;
   reg [7:0] BI8A;

   always @(Enable or IN8) begin
      if (Enable)
         BI8A = IN8;
      else
         BI8A = 8'bz; //assigns high-impedance state
   end
   
   assign OUT8 = BI8;
   assign BI8  = BI8A;

endmodule
